local Obj = {}

-- On charge toutes les différentes types d'entitées
Obj.Block     = require "scenes.levels.entities.block"
Obj.Bullet    = require "scenes.levels.entities.bullet"
Obj.Coin      = require "scenes.levels.entities.loot.coin"
Obj.Coin5     = require "scenes.levels.entities.loot.coin5"
Obj.Coin10    = require "scenes.levels.entities.loot.coin10"
Obj.Weapon    = require "scenes.levels.entities.weapon"
Obj.Numbers   = require "scenes.levels.entities.gfx.numbers"
Obj.Debris    = require "scenes.levels.entities.debris"
Obj.Player    = require "scenes.levels.entities.player"

Obj.Ennemy   = require "scenes.levels.entities.ennemies.parent"

Obj.GFX       = require "core.modules.world.actors.gfx2D"

Obj.index     = {}

Obj.index["coin"]   = Obj.Coin
Obj.index["coin5"]  = Obj.Coin5
Obj.index["coin10"] = Obj.Coin10
Obj.index["block"]  = Obj.Block
Obj.index["ennemy"]  = Obj.Ennemy

local collisions = "scenes.levels.entities.collision."

Obj.collisions = {}
Obj.collisions["wall"]      = require(collisions .. "wall")
Obj.collisions["water"]     = require(collisions .. "water")
Obj.collisions["platform"]  = require(collisions .. "plateform")

return Obj
